cvsd can not runing

Bug #622035 reported by polygalaceae on 2010-08-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cvsd (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: cvsd

$ sudo /etc/init.d/cvsd restart
 * Restarting cvs pserver chroot wrapper cvsd [ OK ]
$ ps -A|grep cvsd
$
$ cat /etc/cvsd/cvsd.conf
# This is the configuration file for cvsd.
# See the manual page cvsd.conf(5) for more information.
#
# You can also use 'dpkg-reconfigure cvsd' to modify these
# settings.
#
# See the "Password authentication server"
# section in the cvs texinfo for more information
# about running a pserver.

# RootJail <path>
# This is the location of the chroot jail
# cvs should be run in.
# Specify 'none' (without quotes) to not use
# a chroot jail.
# This directory should be initialized with
# the cvsd-buildroot script.
RootJail /var/lib/cvsd

# Uid <uid>
# This specifies which user id cvs should be
# run as. This can be a numerical id or
# a symbolic value.
Uid cvsd

# Gid <gid>
# This specifies which group id cvs should be
# run as. This can be a numerical id or
# a symbolic value.
Gid cvsd

# CvsCommand <path>
# If you define this it should point to the cvs
# command to execute. Otherwise "/bin/cvs" will
# be used if a RootJail is configured and the
# cvs command found at compiletime otherwise.
# The path should be relative to the specified
# RootJail and should start with a '/'.

# CvsArgs <arg>...
# Additional arguments to pass to the cvs command.
# For example, to enable read-only access to the
# repository, pass the -R option.

# Nice <num>
# This specifies the nice value (on most systems
# ranging from -20 to 20) where the smaller the number
# (more negative) the higher the priority.
Nice 1

# Umask <mask>
# This specifies a umask used by the cvs pserver when
# creating files. Specify as an octal value.
Umask 027

# Limit <resource> <value>
# <resource> can be one of: coredumpsize, cputime, datasize, filesize,
# memorylocked, openfiles, maxproc, memoryuse, stacksize or virtmem.
# <value> is the maximum value for the given resource. For size values
# a suffix of 'b', 'k' or 'm' can be specified ('k' is default). Time
# values can be formatted as 'mm:ss' or have 'm' or 's' suffixes
# ('s' is default).

# PidFile <file>
# This specifies the location the process id of the
# daemon is written.
PidFile /var/run/cvsd.pid

# Listen <address> <port>
# The addresses and ports to listen on for connections.
#Listen * 2401

# MaxConnections <num>
# The maximum number of connections that will
# be handled simultaneously. 0 is unlimited.
MaxConnections 10

# Log <scheme/file> [<loglevel>]
# The way logging is done. Either none, syslog or a
# filename may be specified, followed by an optional
# loglevel. Loglevel may be one of:
# crit, error, warning, notice, info (default) or debug.
# This option can be supplied multiple times.
# If this option is not specified syslog info is assumed.
Log syslog info
#Log /var/log/cvsd.log debug

# Repos <path>
# This option specifies which repositories
# can be used. The value is passed as a
# --allow-root=<path> parameter to cvs.
# The path should be relative to the specified
# RootJail and should start with a '/'.
# This option can be supplied multiple times.

Listen * 2401
Repos /repository
$ ll -R /var/lib/cvsd/
/var/lib/cvsd/:
总用量 40
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ./
drwxr-xr-x 67 root root 4096 2010-08-21 11:08 ../
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 bin/
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 dev/
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 etc/
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 lib/
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 lib64/
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:34 repository/
drwxrwxrwt 3 cvsd cvsd 4096 2010-08-21 12:08 tmp/
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 usr/

/var/lib/cvsd/bin:
总用量 696
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
-rwxr-xr-x 1 cvsd cvsd 704500 2010-08-21 11:08 cvs*

/var/lib/cvsd/dev:
总用量 8
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
crw-rw-rw- 1 cvsd cvsd 1, 3 2010-08-21 09:37 null
crw-rw-rw- 1 cvsd cvsd 1, 5 2010-08-21 09:37 zero

/var/lib/cvsd/etc:
总用量 12
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
-rw-r--r-- 1 cvsd cvsd 113 2010-08-21 11:08 passwd

/var/lib/cvsd/lib:
总用量 408
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
-rwxr-xr-x 1 cvsd cvsd 113964 2010-08-21 11:08 ld-linux.so.2*
-rwxr-xr-x 1 cvsd cvsd 79676 2010-08-21 11:08 libnsl.so.1*
-rwxr-xr-x 1 cvsd cvsd 30496 2010-08-21 11:08 libnss_compat.so.2*
-rwxr-xr-x 1 cvsd cvsd 42572 2010-08-21 11:08 libnss_files.so.2*
-rwxr-xr-x 1 cvsd cvsd 46684 2010-08-21 11:08 libpam.so.0*
-rwxr-xr-x 1 cvsd cvsd 79512 2010-08-21 11:08 libz.so.1*
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 tls/

/var/lib/cvsd/lib/tls:
总用量 12
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 ../
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 i686/

/var/lib/cvsd/lib/tls/i686:
总用量 12
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 ../
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 cmov/

/var/lib/cvsd/lib/tls/i686/cmov:
总用量 1664
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:08 ../
-rwxr-xr-x 1 cvsd cvsd 38360 2010-08-21 11:08 libcrypt.so.1*
-rwxr-xr-x 1 cvsd cvsd 1405508 2010-08-21 11:08 libc.so.6*
-rwxr-xr-x 1 cvsd cvsd 9736 2010-08-21 11:08 libdl.so.2*
-rwxr-xr-x 1 cvsd cvsd 79676 2010-08-21 11:08 libnsl.so.1*
-rwxr-xr-x 1 cvsd cvsd 117086 2010-08-21 11:08 libpthread.so.0*
-rwxr-xr-x 1 cvsd cvsd 30684 2010-08-21 11:08 librt.so.1*

/var/lib/cvsd/lib64:
总用量 8
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../

/var/lib/cvsd/repository:
总用量 12
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:34 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
drwxrwxr-x 3 cvsd cvsd 4096 2010-08-21 12:29 CVSROOT/

/var/lib/cvsd/repository/CVSROOT:
总用量 200
drwxrwxr-x 3 cvsd cvsd 4096 2010-08-21 12:29 ./
drwxr-xr-x 3 cvsd cvsd 4096 2010-08-21 11:34 ../
-r--r--r-- 1 cvsd cvsd 495 2010-08-21 12:28 checkoutlist
-r--r--r-- 1 cvsd cvsd 495 2010-08-21 11:34 .#checkoutlist
-r--r--r-- 1 cvsd cvsd 730 2010-08-21 11:34 checkoutlist,v
-r--r--r-- 1 cvsd cvsd 1232 2010-08-21 12:28 commitinfo
-r--r--r-- 1 cvsd cvsd 1232 2010-08-21 11:34 .#commitinfo
-r--r--r-- 1 cvsd cvsd 1467 2010-08-21 11:34 commitinfo,v
-r--r--r-- 1 cvsd cvsd 4093 2010-08-21 12:29 config
-r--r--r-- 1 cvsd cvsd 4093 2010-08-21 11:36 .#config
-r--r--r-- 1 cvsd cvsd 4317 2010-08-21 11:34 config,v
-r--r--r-- 1 cvsd cvsd 602 2010-08-21 12:28 cvswrappers
-r--r--r-- 1 cvsd cvsd 602 2010-08-21 11:34 .#cvswrappers
-r--r--r-- 1 cvsd cvsd 837 2010-08-21 11:34 cvswrappers,v
drwxrwxr-x 2 cvsd cvsd 4096 2010-08-21 11:34 Emptydir/
-rw-rw-r-- 1 cvsd cvsd 0 2010-08-21 11:34 history
-r--r--r-- 1 cvsd cvsd 1872 2010-08-21 12:28 loginfo
-r--r--r-- 1 cvsd cvsd 1872 2010-08-21 11:34 .#loginfo
-r--r--r-- 1 cvsd cvsd 2107 2010-08-21 11:34 loginfo,v
-r--r--r-- 1 cvsd cvsd 1151 2010-08-21 12:28 modules
-r--r--r-- 1 cvsd cvsd 1151 2010-08-21 11:34 .#modules
-r--r--r-- 1 cvsd cvsd 1386 2010-08-21 11:34 modules,v
-r--r--r-- 1 cvsd cvsd 876 2010-08-21 12:28 notify
-r--r--r-- 1 cvsd cvsd 876 2010-08-21 11:34 .#notify
-r--r--r-- 1 cvsd cvsd 1111 2010-08-21 11:34 notify,v
-rw-r--r-- 1 cvsd cvsd 25 2010-08-21 12:30 passwd
-r--r--r-- 1 cvsd cvsd 922 2010-08-21 12:28 postadmin
-r--r--r-- 1 cvsd cvsd 922 2010-08-21 11:34 .#postadmin
-r--r--r-- 1 cvsd cvsd 1157 2010-08-21 11:34 postadmin,v
-r--r--r-- 1 cvsd cvsd 1105 2010-08-21 12:28 postproxy
-r--r--r-- 1 cvsd cvsd 1105 2010-08-21 11:34 .#postproxy
-r--r--r-- 1 cvsd cvsd 1340 2010-08-21 11:34 postproxy,v
-r--r--r-- 1 cvsd cvsd 1898 2010-08-21 12:28 posttag
-r--r--r-- 1 cvsd cvsd 1898 2010-08-21 11:34 .#posttag
-r--r--r-- 1 cvsd cvsd 2133 2010-08-21 11:34 posttag,v
-r--r--r-- 1 cvsd cvsd 957 2010-08-21 12:28 postwatch
-r--r--r-- 1 cvsd cvsd 957 2010-08-21 11:34 .#postwatch
-r--r--r-- 1 cvsd cvsd 1192 2010-08-21 11:34 postwatch,v
-r--r--r-- 1 cvsd cvsd 1203 2010-08-21 12:28 preproxy
-r--r--r-- 1 cvsd cvsd 1203 2010-08-21 11:34 .#preproxy
-r--r--r-- 1 cvsd cvsd 1438 2010-08-21 11:34 preproxy,v
-r--r--r-- 1 cvsd cvsd 649 2010-08-21 12:28 rcsinfo
-r--r--r-- 1 cvsd cvsd 649 2010-08-21 11:34 .#rcsinfo
-r--r--r-- 1 cvsd cvsd 884 2010-08-21 11:34 rcsinfo,v
-r--r--r-- 1 cvsd cvsd 2255 2010-08-21 12:28 taginfo
-r--r--r-- 1 cvsd cvsd 2255 2010-08-21 11:34 .#taginfo
-r--r--r-- 1 cvsd cvsd 2490 2010-08-21 11:34 taginfo,v
-rw-rw-r-- 1 cvsd cvsd 0 2010-08-21 11:34 val-tags
-r--r--r-- 1 cvsd cvsd 1481 2010-08-21 12:28 verifymsg
-r--r--r-- 1 cvsd cvsd 1481 2010-08-21 11:34 .#verifymsg
-r--r--r-- 1 cvsd cvsd 1716 2010-08-21 11:34 verifymsg,v

/var/lib/cvsd/repository/CVSROOT/Emptydir:
总用量 8
drwxrwxr-x 2 cvsd cvsd 4096 2010-08-21 11:34 ./
drwxrwxr-x 3 cvsd cvsd 4096 2010-08-21 12:29 ../

/var/lib/cvsd/tmp:
总用量 12
drwxrwxrwt 3 cvsd cvsd 4096 2010-08-21 12:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 12:08 repository/

/var/lib/cvsd/tmp/repository:
总用量 8
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 12:08 ./
drwxrwxrwt 3 cvsd cvsd 4096 2010-08-21 12:08 ../

/var/lib/cvsd/usr:
总用量 8
drwxr-xr-x 2 cvsd cvsd 4096 2010-08-21 11:08 ./
drwxr-xr-x 10 cvsd cvsd 4096 2010-08-21 11:11 ../
lrwxrwxrwx 1 cvsd cvsd 6 2010-08-21 11:08 bin -> ../bin/
lrwxrwxrwx 1 cvsd cvsd 6 2010-08-21 11:08 lib -> ../lib/
lrwxrwxrwx 1 cvsd cvsd 8 2010-08-21 11:08 lib64 -> ../lib64/
$ cat /var/lib/cvsd/repository/CVSROOT/config
# Set `SystemAuth' to `no' if pserver shouldn't check system users/passwords.
SystemAuth=no
PamAuth=no

# Set `LocalKeyword' to specify a local alias for a standard keyword.
#LocalKeyword=MYCVS=CVSHeader

# Set `KeywordExpand' to `i' followed by a list of keywords to expand or
# `e' followed by a list of keywords to not expand.
#KeywordExpand=iMYCVS,Name,Date
#KeywordExpand=eCVSHeader

# Set `TopLevelAdmin' to `yes' to create a CVS directory at the top
# level of the new working directory when using the `cvs checkout'
# command.
#TopLevelAdmin=no

# Put CVS lock files in this directory rather than directly in the repository.
LockDir=/tmp/repository

# Set `LogHistory' to `all' or `TOEFWUPCGMAR' to log all transactions to the
# history file, or a subset as needed (ie `TMAR' logs all write operations)
#LogHistory=TOEFWUPCGMAR

# Set `RereadLogAfterVerify' to `always' (the default) to allow the verifymsg
# script to change the log message. Set it to `stat' to force CVS to verify
# that the file has changed before reading it (this can take up to an extra
# second per directory being committed, so it is not recommended for large
# repositories. Set it to `never' (the previous CVS behavior) to prevent
# verifymsg scripts from changing the log message.
#RereadLogAfterVerify=always

# Set `UserAdminOptions' to the list of `cvs admin' commands (options)
# that users not in the `cvsadmin' group are allowed to run. This
# defaults to `k', or only allowing the changing of the default
# keyword expansion mode for files for users not in the `cvsadmin' group.
# This value is ignored if the `cvsadmin' group does not exist.
#
# The following string would enable all `cvs admin' commands for all
# users:
#UserAdminOptions=aAbceIklLmnNostuU

# Set `UseNewInfoFmtStrings' to `no' if you must support a legacy system by
# enabling the deprecated old style info file command line format strings.
# Be warned that these strings could be disabled in any new version of CVS.
UseNewInfoFmtStrings=yes

# Set `ImportNewFilesToVendorBranchOnly' to `yes' if you wish to force
# every `cvs import' command to behave as if the `-X' flag was
# specified.
#ImportNewFilesToVendorBranchOnly=no

# Set `PrimaryServer' to the CVSROOT to the primary, or write, server when
# establishing one or more read-only mirrors which serve as proxies for
# the write server in write mode or redirect the client to the primary for
# write requests.
#
# For example:
#
# PrimaryServer=:fork:localhost/cvsroot

# Set `MaxProxyBufferSize' to the the maximum allowable secondary
# buffer memory cache size before the buffer begins being stored to disk, in
# bytes. Must be a positive integer but may end in `k', `M', `G', or `T' (for
# kiilo, mega, giga, & tera, respectively). If an otherwise valid number you
# specify is greater than the SIZE_MAX defined by your system's C compiler,
# then it will be resolved to SIZE_MAX without a warning. Defaults to 8M (8
# megabytes).
#
# High values for MaxProxyBufferSize may speed up a secondary server
# with old hardware and a lot of available memory but can actually slow a
# modern system down slightly.
#
# For example:
#
# MaxProxyBufferSize=1G

# Set `MaxCommentLeaderLength' to the maximum length permitted for the
# automagically determined comment leader used when expanding the Log
# keyword, in bytes. CVS's behavior when the automagically determined
# comment leader exceeds this length is dependant on the value of
# `UseArchiveCommentLeader' set in this file. `unlimited' is a valid
# setting for this value. Defaults to 20 bytes.
#
# For example:
#
# MaxCommentLeaderLength=20

# Set `UseArchiveCommentLeader' to `yes' to cause CVS to fall back on
# the comment leader set in the RCS archive file, if any, when the
# automagically determined comment leader exceeds `MaxCommentLeaderLength'
# bytes. If `UseArchiveCommentLeader' is not set and a comment leader
# greater than `MaxCommentLeaderLength' is calculated, the Log keyword
# being examined will not be expanded. Defaults to `no'.
#
# For example:
#
# UseArchiveCommentLeader=no

Related branches

Arthur de Jong (adejong) wrote :

If cvsd fails to start it should log the reason to syslog (check /var/log/syslog). Also cvsd has a script included (cvsd-buginfo) that gathers all needed information for most bug reports and checks for common misconfigurations.

Can you check /var/log/syslog and provide the output of cvsd-buginfo?

Download full text (15.2 KiB)

Aug 23 20:19:34 liyao-laptop cvsd[2866]: version 1.0.18 starting
Aug 23 20:19:34 liyao-laptop cvsd[2866]: listening on 0.0.0.0 2401
Aug 23 20:19:34 liyao-laptop cvsd[2866]: bind() failed: Address already in
use
Aug 23 20:19:34 liyao-laptop cvsd[2866]: version 1.0.18 bailing out

2010/8/22 Arthur de Jong <email address hidden>

> If cvsd fails to start it should log the reason to syslog (check
> /var/log/syslog). Also cvsd has a script included (cvsd-buginfo) that
> gathers all needed information for most bug reports and checks for
> common misconfigurations.
>
> Can you check /var/log/syslog and provide the output of cvsd-buginfo?
>
> --
> cvsd can not runing
> https://bugs.launchpad.net/bugs/622035
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “cvsd” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cvsd
>
> $ sudo /etc/init.d/cvsd restart
> * Restarting cvs pserver chroot wrapper cvsd [
> OK ]
> $ ps -A|grep cvsd
> $
> $ cat /etc/cvsd/cvsd.conf
> # This is the configuration file for cvsd.
> # See the manual page cvsd.conf(5) for more information.
> #
> # You can also use 'dpkg-reconfigure cvsd' to modify these
> # settings.
> #
> # See the "Password authentication server"
> # section in the cvs texinfo for more information
> # about running a pserver.
>
> # RootJail <path>
> # This is the location of the chroot jail
> # cvs should be run in.
> # Specify 'none' (without quotes) to not use
> # a chroot jail.
> # This directory should be initialized with
> # the cvsd-buildroot script.
> RootJail /var/lib/cvsd
>
> # Uid <uid>
> # This specifies which user id cvs should be
> # run as. This can be a numerical id or
> # a symbolic value.
> Uid cvsd
>
> # Gid <gid>
> # This specifies which group id cvs should be
> # run as. This can be a numerical id or
> # a symbolic value.
> Gid cvsd
>
> # CvsCommand <path>
> # If you define this it should point to the cvs
> # command to execute. Otherwise "/bin/cvs" will
> # be used if a RootJail is configured and the
> # cvs command found at compiletime otherwise.
> # The path should be relative to the specified
> # RootJail and should start with a '/'.
>
> # CvsArgs <arg>...
> # Additional arguments to pass to the cvs command.
> # For example, to enable read-only access to the
> # repository, pass the -R option.
>
> # Nice <num>
> # This specifies the nice value (on most systems
> # ranging from -20 to 20) where the smaller the number
> # (more negative) the higher the priority.
> Nice 1
>
> # Umask <mask>
> # This specifies a umask used by the cvs pserver when
> # creating files. Specify as an octal value.
> Umask 027
>
> # Limit <resource> <value>
> # <resource> can be one of: coredumpsize, cputime, datasize, filesize,
> # memorylocked, openfiles, maxproc, memoryuse, stacksize or virtmem.
> # <value> is the maximum value for the given resource. For size values
> # a suffix of 'b', 'k' or 'm' can be specified ('k' is default). Time
> # values can be formatted as 'mm:ss' or have 'm' or 's' suffixes
> # ('s' is default).
>
> # PidFile <file>
> # This specifies the location the proce...

polygalaceae (polygalaceae) wrote :
Download full text (15.7 KiB)

after :
sudo /etc/init.d/cvsd restart

在 2010年8月23日 下午8:21,hao li <email address hidden>写道:

>
> Aug 23 20:19:34 liyao-laptop cvsd[2866]: version 1.0.18 starting
> Aug 23 20:19:34 liyao-laptop cvsd[2866]: listening on 0.0.0.0 2401
> Aug 23 20:19:34 liyao-laptop cvsd[2866]: bind() failed: Address already in
> use
> Aug 23 20:19:34 liyao-laptop cvsd[2866]: version 1.0.18 bailing out
>
> 2010/8/22 Arthur de Jong <email address hidden>
>
> If cvsd fails to start it should log the reason to syslog (check
>> /var/log/syslog). Also cvsd has a script included (cvsd-buginfo) that
>> gathers all needed information for most bug reports and checks for
>> common misconfigurations.
>>
>> Can you check /var/log/syslog and provide the output of cvsd-buginfo?
>>
>> --
>> cvsd can not runing
>> https://bugs.launchpad.net/bugs/622035
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “cvsd” package in Ubuntu: New
>>
>> Bug description:
>> Binary package hint: cvsd
>>
>> $ sudo /etc/init.d/cvsd restart
>> * Restarting cvs pserver chroot wrapper cvsd [
>> OK ]
>> $ ps -A|grep cvsd
>> $
>> $ cat /etc/cvsd/cvsd.conf
>> # This is the configuration file for cvsd.
>> # See the manual page cvsd.conf(5) for more information.
>> #
>> # You can also use 'dpkg-reconfigure cvsd' to modify these
>> # settings.
>> #
>> # See the "Password authentication server"
>> # section in the cvs texinfo for more information
>> # about running a pserver.
>>
>> # RootJail <path>
>> # This is the location of the chroot jail
>> # cvs should be run in.
>> # Specify 'none' (without quotes) to not use
>> # a chroot jail.
>> # This directory should be initialized with
>> # the cvsd-buildroot script.
>> RootJail /var/lib/cvsd
>>
>> # Uid <uid>
>> # This specifies which user id cvs should be
>> # run as. This can be a numerical id or
>> # a symbolic value.
>> Uid cvsd
>>
>> # Gid <gid>
>> # This specifies which group id cvs should be
>> # run as. This can be a numerical id or
>> # a symbolic value.
>> Gid cvsd
>>
>> # CvsCommand <path>
>> # If you define this it should point to the cvs
>> # command to execute. Otherwise "/bin/cvs" will
>> # be used if a RootJail is configured and the
>> # cvs command found at compiletime otherwise.
>> # The path should be relative to the specified
>> # RootJail and should start with a '/'.
>>
>> # CvsArgs <arg>...
>> # Additional arguments to pass to the cvs command.
>> # For example, to enable read-only access to the
>> # repository, pass the -R option.
>>
>> # Nice <num>
>> # This specifies the nice value (on most systems
>> # ranging from -20 to 20) where the smaller the number
>> # (more negative) the higher the priority.
>> Nice 1
>>
>> # Umask <mask>
>> # This specifies a umask used by the cvs pserver when
>> # creating files. Specify as an octal value.
>> Umask 027
>>
>> # Limit <resource> <value>
>> # <resource> can be one of: coredumpsize, cputime, datasize, filesize,
>> # memorylocked, openfiles, maxproc, memoryuse, stacksize or virtmem.
>> # <value> is the maximum value for the given resource. For size values
>> # a suffix of 'b', 'k' or 'm' ...

polygalaceae (polygalaceae) wrote :
Download full text (16.8 KiB)

but....
Proto Recv-Q Send-Q Local Address Foreign Address
State PID/Program name
tcp 0 0 0.0.0.0:111 0.0.0.0:*
LISTEN -
tcp 0 0 0.0.0.0:39476 0.0.0.0:*
LISTEN -
tcp 0 0 127.0.0.1:631 0.0.0.0:*
LISTEN -
tcp 0 0 0.0.0.0:25 0.0.0.0:*
LISTEN -
tcp 0 0 0.0.0.0:60538 0.0.0.0:*
LISTEN -
tcp 0 0 0.0.0.0:2049 0.0.0.0:*
LISTEN -
tcp 0 0 0.0.0.0:37987 0.0.0.0:*
LISTEN -
tcp6 0 0 ::1:631 :::*
LISTEN -
tcp6 0 0 ::1:58028 :::*
LISTEN 2099/java

在 2010年8月23日 下午8:21,hao li <email address hidden>写道:

> after :
>
> sudo /etc/init.d/cvsd restart
>
> 在 2010年8月23日 下午8:21,hao li <email address hidden>写道:
>
>
>> Aug 23 20:19:34 liyao-laptop cvsd[2866]: version 1.0.18 starting
>> Aug 23 20:19:34 liyao-laptop cvsd[2866]: listening on 0.0.0.0 2401
>> Aug 23 20:19:34 liyao-laptop cvsd[2866]: bind() failed: Address already in
>> use
>> Aug 23 20:19:34 liyao-laptop cvsd[2866]: version 1.0.18 bailing out
>>
>> 2010/8/22 Arthur de Jong <email address hidden>
>>
>> If cvsd fails to start it should log the reason to syslog (check
>>> /var/log/syslog). Also cvsd has a script included (cvsd-buginfo) that
>>> gathers all needed information for most bug reports and checks for
>>> common misconfigurations.
>>>
>>> Can you check /var/log/syslog and provide the output of cvsd-buginfo?
>>>
>>> --
>>> cvsd can not runing
>>> https://bugs.launchpad.net/bugs/622035
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>> Status in “cvsd” package in Ubuntu: New
>>>
>>> Bug description:
>>> Binary package hint: cvsd
>>>
>>> $ sudo /etc/init.d/cvsd restart
>>> * Restarting cvs pserver chroot wrapper cvsd
>>> [ OK ]
>>> $ ps -A|grep cvsd
>>> $
>>> $ cat /etc/cvsd/cvsd.conf
>>> # This is the configuration file for cvsd.
>>> # See the manual page cvsd.conf(5) for more information.
>>> #
>>> # You can also use 'dpkg-reconfigure cvsd' to modify these
>>> # settings.
>>> #
>>> # See the "Password authentication server"
>>> # section in the cvs texinfo for more information
>>> # about running a pserver.
>>>
>>> # RootJail <path>
>>> # This is the location of the chroot jail
>>> # cvs should be run in.
>>> # Specify 'none' (without quotes) to not use
>>> # a chroot jail.
>>> # This directory should be initialized with
>>> # the cvsd-buildroot script.
>>> RootJail /var/lib/cvsd
>>>
>>> # Uid <uid>
>>> # This specifies which user id cvs should be
>>> # run as. This can be a numerical id or
>>> # a symbolic value.
>>> Uid cvsd
>>>
>>> # Gid <gid>
>>> # This specifies which group id cvs should be
>>> # run as. This can be a numerical id or
>>> # a symbolic value.
>>> Gid cvsd
>>>
>>> # CvsCommand <path>
>>> # If you define this it should point to the cvs
>>> # command to execute. Otherwise "/bin/cvs" will
>>> # be used if a RootJail is configured and the
>>> # cvs command found at compiletime otherwise.
>>> # The path should be relative to the specified
>>> # RootJail ...

Arthur de Jong (adejong) wrote :

Could you include the output of "cvsd -d" (as root)?

It seems that cvsd thinks that port 2401 is already bound. Can you also report the output of "sysctl net.ipv6.bindv6only" (as root)?

If you are not using IPv6 you could change the bind statement in cvsd.conf to "Listen 0.0.0.0 2401" to force the use of IPv4 only.

Also a patch is available here:
 http://arthurdejong.org/viewvc/cvsd/cvsd.c?r1=1.117&r2=1.118
that should also fix this.

polygalaceae (polygalaceae) wrote :
Download full text (16.9 KiB)

liyao@liyao-laptop:~$ sudo sysctl net.ipv6.bindv6only
[sudo] password for liyao:
net.ipv6.bindv6only = 0
liyao@liyao-laptop:~$
liyao@liyao-laptop:~$ sudo cvsd -d
cvsd: debug: reading config file (/etc/cvsd/cvsd.conf)
cvsd: debug: done reading config file
cvsd: debug: cvscmd: /bin/cvs
cvsd: debug: cvsargs[0]: cvs
cvsd: debug: cvsargs[1]: -f
cvsd: debug: cvsargs[2]: --allow-root=/repository
cvsd: debug: cvsargs[3]: pserver
cvsd: debug: cvsenv[0]: HOME=/
cvsd: debug: cvsenv[1]: PATH=/bin
cvsd: debug: cvsenv[2]: SHELL=/bin/sh
cvsd: debug: cvsenv[3]: TMPDIR=/tmp
cvsd: debug: cvsenv[4]: CVSUMASK=027
cvsd: version 1.0.18 starting
cvsd: debug: binding 0.0.0.0 2401 family=2 socktype=1 protocol=6
cvsd: listening on 0.0.0.0 2401
cvsd: debug: binding :: 2401 family=10 socktype=1 protocol=6
cvsd: bind() failed: Address already in use
cvsd: version 1.0.18 bailing out

#change the bind statement in cvsd.conf to "Listen 0.0.0.0 2401" to force
the use of IPv4
liyao@liyao-laptop:~$ sudo cvsd -d
cvsd: debug: reading config file (/etc/cvsd/cvsd.conf)
cvsd: debug: done reading config file
cvsd: debug: cvscmd: /bin/cvs
cvsd: debug: cvsargs[0]: cvs
cvsd: debug: cvsargs[1]: -f
cvsd: debug: cvsargs[2]: --allow-root=/repository
cvsd: debug: cvsargs[3]: pserver
cvsd: debug: cvsenv[0]: HOME=/
cvsd: debug: cvsenv[1]: PATH=/bin
cvsd: debug: cvsenv[2]: SHELL=/bin/sh
cvsd: debug: cvsenv[3]: TMPDIR=/tmp
cvsd: debug: cvsenv[4]: CVSUMASK=027
cvsd: version 1.0.18 starting
cvsd: debug: binding 0.0.0.0 2401 family=2 socktype=1 protocol=6
cvsd: listening on 0.0.0.0 2401
cvsd: debug: chroot(/var/lib/cvsd) done
cvsd: debug: nice(1) done
cvsd: debug: setgroups(0,NULL) done
cvsd: debug: setgid(129) done
cvsd: debug: setuid(119) done
cvsd: debug: cvs command to execute: '/bin/cvs -f --allow-root=/repository
pserver'
cvsd: accepting connections

thanks!!

2010/8/26 Arthur de Jong <email address hidden>

> Could you include the output of "cvsd -d" (as root)?
>
> It seems that cvsd thinks that port 2401 is already bound. Can you also
> report the output of "sysctl net.ipv6.bindv6only" (as root)?
>
> If you are not using IPv6 you could change the bind statement in
> cvsd.conf to "Listen 0.0.0.0 2401" to force the use of IPv4 only.
>
> Also a patch is available here:
> http://arthurdejong.org/viewvc/cvsd/cvsd.c?r1=1.117&r2=1.118
> that should also fix this.
>
> --
> cvsd can not runing
> https://bugs.launchpad.net/bugs/622035
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “cvsd” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cvsd
>
> $ sudo /etc/init.d/cvsd restart
> * Restarting cvs pserver chroot wrapper cvsd [
> OK ]
> $ ps -A|grep cvsd
> $
> $ cat /etc/cvsd/cvsd.conf
> # This is the configuration file for cvsd.
> # See the manual page cvsd.conf(5) for more information.
> #
> # You can also use 'dpkg-reconfigure cvsd' to modify these
> # settings.
> #
> # See the "Password authentication server"
> # section in the cvs texinfo for more information
> # about running a pserver.
>
> # RootJail <path>
> # This is the location of the chroot jail
> # cvs should be run in.
> # Specify 'none' ...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cvsd - 1.0.21

---------------
cvsd (1.0.21) unstable; urgency=low

  * handle failure to bind() as a fatal error now (see #595779)

cvsd (1.0.20) unstable; urgency=low

  * correctly listen on IPv4 and IPv6 addresses with recent Glibc versions
    by not depending on the order of address records returned by getaddrinfo()
    and work regardless of net.ipv6.bindv6only sysctl (LP: #622035)

cvsd (1.0.19) unstable; urgency=low

  * cvsd-buildroot: ignore commented out lines in CVSROOT/passwd files
  * cvsd-buildroot: set an umask for generated files
  * some documentation updates
  * change init script dependency on $remote_fs (for /usr) from Should
    to Required (thanks lintian)
  * upgrade to standards-version 3.9.1 (no changes needed)
  * switch to explicit "1.0" source format
 -- Ubuntu Archive Auto-Sync <email address hidden> Fri, 15 Oct 2010 09:27:28 +0000

Changed in cvsd (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers